Home | All Classes | Grouped Classes | Index | Search

# CL_Sprite::draw

Draw sprite on graphic context. sub pixel accuracy versions

    	void draw(
    		float x, float y, CL_GraphicContext* gc = 0);

    	void draw(
    		const CL_Rect& dest, CL_GraphicContext* gc = 0);

    	void draw(
    		const CL_Rectf& dest, CL_GraphicContext* gc = 0);

    	void draw(
    		const CL_Surface_DrawParams1& params1, CL_GraphicContext* gc = 0);

Parameters:

x, y
  Anchor position of where to render sprite. Actual rendering position depends on the anchor and the alignment mode.
gc
  Graphic context on which to render upon. If null, will use CL_Display's current graphic context.
dest
  Rectangle to draw sprite in.

See also:

CL_GraphicContext | CL_Rect | CL_Surface | CL_Rectf | CL_Sprite | CL_Display | CL_Surface_DrawParams1

Questions or comments, write to the ClanLib mailing list.